HostingDelivery
Export suppression list
POST
/api/delivery/suppression_lists/exportGenerates a CSV export for suppression list entries.
Authorization
api_key X-Api-Token<token>
API token used to authenticate requests.
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
account?string
Delivery account id to export. Admins may use it to export a specific account list.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/api/delivery/suppression_lists/export" \ -H "X-Api-Token: YOUR_API_TOKEN" \ -H "Accept: application/json" \ -H "Content-Type: application/json" \ -d '{}'{
"message": "string",
"expire_in": 0,
"file_url": "string"
}{
"message": "Unauthorized",
"errors": []
}{
"message": "Forbidden",
"errors": []
}{
"message": "Not found",
"errors": []
}{
"message": "Validation failed",
"errors": [
{
"field": "name",
"description": "is not valid"
}
]
}